Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.bpm.web.client.model.types
Enum OSAuditConstants.appInstanceEnum

    java.lang.Object
      java.lang.Enum<OSAuditConstants.appInstanceEnum>
          com.tibco.bpm.web.client.model.types.OSAuditConstants.appInstanceEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OSAuditConstants.appInstanceEnum>

Enclosing class:
  OSAuditConstants

    public static enum OSAuditConstants.appInstanceEnum

extends java.lang.Enum<OSAuditConstants.appInstanceEnum>

Enum Constant Summary
`BRM_WORKITEM_EX_RESCHEDULE_WORK_ITEM`
`MERGEPENDING`
`PROCESS_CANCELLED`
`PROCESS_COMPLETED`
`PROCESS_EXIT_WITH_FAULT`
`PROCESS_FAILED`
`PROCESS_HALTED`
`PROCESS_IGNORED_HALTED`
`PROCESS_RESUMED`
`PROCESS_RETRIED_HALTED`
`PROCESS_STARTED`
`PROCESS_SUSPENDED`
`SUBPROCCREATED`
`TASKCANCELLED`
`TASKCOMPLETED`
`TASKCREATED`
`TASKS_FAILED`
`TASKS_FAILED_HALT_TRIGGERED`
`TASKS_FAILED_RETRY_PENDING`
`UNKNOWN`
`USERTASK_CORE_ACTIVITY_FAULT`
`USERTASK_POSTEVAL_ERROR_MSG`

Method Summary
`static OSAuditConstants.appInstanceEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OSAuditConstants.appInstanceEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TASKCREATED

    public static final OSAuditConstants.appInstanceEnum TASKCREATED

### TASKCOMPLETED

    public static final OSAuditConstants.appInstanceEnum TASKCOMPLETED

### TASKCANCELLED

    public static final OSAuditConstants.appInstanceEnum TASKCANCELLED

### MERGEPENDING

    public static final OSAuditConstants.appInstanceEnum MERGEPENDING

### SUBPROCCREATED

    public static final OSAuditConstants.appInstanceEnum SUBPROCCREATED

### UNKNOWN

    public static final OSAuditConstants.appInstanceEnum UNKNOWN

### TASKS_FAILED

    public static final OSAuditConstants.appInstanceEnum TASKS_FAILED

### TASKS_FAILED_HALT_TRIGGERED

    public static final OSAuditConstants.appInstanceEnum TASKS_FAILED_HALT_TRIGGERED

### TASKS_FAILED_RETRY_PENDING

    public static final OSAuditConstants.appInstanceEnum TASKS_FAILED_RETRY_PENDING

### PROCESS_STARTED

    public static final OSAuditConstants.appInstanceEnum PROCESS_STARTED

### PROCESS_HALTED

    public static final OSAuditConstants.appInstanceEnum PROCESS_HALTED

### PROCESS_IGNORED_HALTED

    public static final OSAuditConstants.appInstanceEnum PROCESS_IGNORED_HALTED

### PROCESS_RETRIED_HALTED

    public static final OSAuditConstants.appInstanceEnum PROCESS_RETRIED_HALTED

### PROCESS_RESUMED

    public static final OSAuditConstants.appInstanceEnum PROCESS_RESUMED

### PROCESS_SUSPENDED

    public static final OSAuditConstants.appInstanceEnum PROCESS_SUSPENDED

### PROCESS_FAILED

    public static final OSAuditConstants.appInstanceEnum PROCESS_FAILED

### PROCESS_CANCELLED

    public static final OSAuditConstants.appInstanceEnum PROCESS_CANCELLED

### PROCESS_COMPLETED

    public static final OSAuditConstants.appInstanceEnum PROCESS_COMPLETED

### PROCESS_EXIT_WITH_FAULT

    public static final OSAuditConstants.appInstanceEnum PROCESS_EXIT_WITH_FAULT

### USERTASK_POSTEVAL_ERROR_MSG

    public static final OSAuditConstants.appInstanceEnum USERTASK_POSTEVAL_ERROR_MSG

### USERTASK_CORE_ACTIVITY_FAULT

    public static final OSAuditConstants.appInstanceEnum USERTASK_CORE_ACTIVITY_FAULT

### BRM_WORKITEM_EX_RESCHEDULE_WORK_ITEM

    public static final OSAuditConstants.appInstanceEnum BRM_WORKITEM_EX_RESCHEDULE_WORK_ITEM

Method Detail

### values

    public static OSAuditConstants.appInstanceEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OSAuditConstants.appInstanceEnum c : OSAuditConstants.appInstanceEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OSAuditConstants.appInstanceEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.